Name:           perl-Net-Netmask
Version:        1.9015
Release:        1.el5.ru
Summary:        Perl module for manipulation and lookup of IP network blocks

Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/dist/Net-Netmask/
Source0:        Net-Netmask-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::Netmask parses and understands IPv4 CIDR blocks. It's built with
an object-oriented interface. Nearly all functions are methods that
operate on a Net::Netmask object.


%prep
%setup -q -n Net-Netmask-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG README
%{perl_vendorlib}/Net/
%{_mandir}/man3/*.3*


%changelog
* Fri Feb 18 2011 Daiyan Alamgir <daiyan@nbcs.rutgers.edu>
- Updated version to 1.9015

* Thu Feb 17 2011 Vaibhav Verma <vverna@nbcs.rutgers.edu>
 - Built for CentOS.
